## ros-melodic-jderobot-camviz 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(jderobot_camviz)
set(CMAKE_BUILD_TYPE Debug)
# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()


if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wunused-parameter)
endif()

SET(rosversion "1" CACHE STRING "Some user-specified option")
message("THIS IS ROS1")
SET( SOURCE_FILES camViz.cpp viewer.cpp)
add_definitions(-DGLADE_DIR="${gladedir}")

find_package(roscpp REQUIRED)
find_package(std_msgs REQUIRED)
find_package(image_transport REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(OpenCV REQUIRED)
find_package(cv_bridge REQUIRED)
find_package(yaml-cpp REQUIRED)

find_package(PkgConfig)
pkg_check_modules(GTKMM gtkmm-3.0)

#pkg_check_modules(libglademm libglademm-2.4)

if(roscpp_FOUND) 
	message("ROS1 found")
	add_definitions(-DROS1_H) 
	add_definitions(-DROS1S_H)
	SET(ROS1_H ON) 
ELSE()
	message("ROS1 not found")
	SET(ROS1_H OFF) 
	SET(ROS1S_H OFF)
endif()
SET( LIBS_EXTRA resourcelocator )

include_directories(${GTKMM_INCLUDE_DIRS}
    ${resourcelocator_INCLUDE_DIRS}
  # ${libglademm_INCLUDE_DIRS}
  # ${gtkglextmm_INCLUDE_DIRS}
    ${ZLIB_INCLUDE_DIRS}
)

include_directories(${roscpp_INCLUDE_DIRS} ${image_transport_INCLUDE_DIRS} ${sensor_msgs_INCLUDE_DIRS} )
include_directories(
  ${std_msgs_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
  ${cv_bridge_INCLUDE_DIRS}
  #${libglademm_INCLUDE_DIRS}
${resourcelocator_INCLUDE_DIRS})

link_directories(
    ${resourcelocator_LIBRARY_DIRS}
    ${GTKMM_LIBRARY_DIRS}
    ${resourcelocator_LIBRARY_DIRS}

)

add_executable (camViz ${SOURCE_FILES})

target_link_libraries(camViz
${roscpp_LIBRARIES}
  ${std_msgs_LIBRARIES}
  ${image_transport_LIBRARIES}
    ${OpenCV_LIBRARIES} 
    ${cv_bridge_LIBRARIES}
      ${sensor_msgs_LIBRARIES} 
      ${YAML_CPP_LIBRARIES})

TARGET_LINK_LIBRARIES(camViz
    ${GTKMM_LIBRARIES}
  # ${libglademm_LIBRARIES}
    ${ZLIB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    ${resourcelocator_LIBRARIES}
    ${catkin_LIBRARIES}
    ${GLOG_LIBRARIES}

    )
install(TARGETS camViz
    DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/
    COMPONENT camviz
    )


INSTALL (FILES ${CMAKE_CURRENT_SOURCE_DIR}/camViz.glade DESTINATION ${CMAKE_INSTALL_PREFIX}/share/jderobot/glade COMPONENT camviz)
INSTALL (FILES ${CMAKE_CURRENT_SOURCE_DIR}/camViz.yml DESTINATION ${CMAKE_INSTALL_PREFIX}/share/jderobot/conf COMPONENT camviz)

=== debian/changelog ===
ros-melodic-jderobot-camviz (0.1.0-2stretch) stretch; urgency=high

  * first public release of camViz for Melodic
  * Contributors: Jose Maria Cañas Plaza, Pankhuri Vanjani, Francisco Perez

 -- Your Name <pankhurivanjani@gmail.com>  Sat, 07 Mar 2020 16:00:00 -0000

=== debian/control ===
Source: ros-melodic-jderobot-camviz
Section: misc
Priority: optional
Maintainer: Your Name <pankhurivanjani@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, pkg-config, python3-catkin-pkg-modules, python3-yaml, ros-melodic-cv-bridge, ros-melodic-diagnostic-msgs, ros-melodic-image-transport, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/beginner_tutorials
Standards-Version: 3.9.2

Package: ros-melodic-jderobot-camviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, python3-yaml, ros-melodic-cv-bridge, ros-melodic-image-transport, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: camViz package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-jderobot-camviz//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
